/*
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * DefaultPageCheck.java
 * Copyright (C) 2013 University of Waikato, Hamilton, New Zealand
 */
package adams.gui.wizard;

/**
 * Dummy check that always returns true.
 * 
 * @author  fracpete (fracpete at waikato dot ac dot nz)
 * @version $Revision$
 */
public class DummyPageCheck
  implements PageCheck<AbstractWizardPage> {

  /** for serialization. */
  private static final long serialVersionUID = -6346623779732787345L;

  /**
   * Checks the page.
   * 
   * @param page	the page to check
   * @return		always true
   */
  @Override
  public boolean checkPage(AbstractWizardPage page) {
    return true;
  }
}
